# XSAttributeDeclaration Class Reference

Inheritance diagram for XSAttributeDeclaration:

List of all members.

## Public Member Functions

Constructors
| XSAttributeDeclaration (SchemaAttDef *const attDef, XSSimpleTypeDefinition *const typeDef, XSAnnotation *const annot, XSModel *const xsModel, XSConstants::SCOPE scope, XSComplexTypeDefinition *enclosingCTDefinition, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSAttributeDeclaration ()
overridden XSObject methods
const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces.
const XMLCh * | getNamespace ()
| The [target namespace] of this object, or `null` if it is unspecified.
XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.
XSAttributeDeclaration methods
XSSimpleTypeDefinition * | getTypeDefinition () const
| [type definition]: A simple type definition
XSConstants::SCOPE | getScope () const
| Optional.
XSComplexTypeDefinition * | getEnclosingCTDefinition ()
| The complex type definition for locally scoped declarations (see `scope`).
XSConstants::VALUE_CONSTRAINT | getConstraintType () const
| Value constraint: one of `VC_NONE, VC_DEFAULT, VC_FIXED`.
const XMLCh * | getConstraintValue ()
| Value constraint: The actual value with respect to the [type definition ].
XSAnnotation * | getAnnotation () const
| Optional.
bool | getRequired () const
| methods needed by implementation

## Protected Attributes

SchemaAttDef * | fAttDef
XSSimpleTypeDefinition * | fTypeDefinition
XSAnnotation * | fAnnotation
XSConstants::SCOPE | fScope
XSComplexTypeDefinition * | fEnclosingCTDefinition

## Friends

class | XSObjectFactory

## Constructor & Destructor Documentation

XSAttributeDeclaration::XSAttributeDeclaration | ( | SchemaAttDef *const | attDef,
|  | XSSimpleTypeDefinition *const | typeDef,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | XSConstants::SCOPE | scope,
|  | XSComplexTypeDefinition * | enclosingCTDefinition,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

The default constructor.

Parameters:

  | attDef |
  | typeDef |
  | annot |
  | xsModel |
  | scope |
  | enclosingCTDefinition |
  | manager | The configurable memory manager

XSAttributeDeclaration::~XSAttributeDeclaration | ( |  | ) |

## Member Function Documentation

const XMLCh* XSAttributeDeclaration::getName | ( |  | ) | const`[virtual]`

The name of type `NCName` of this declaration as defined in XML Namespaces.

Reimplemented from XSObject.

const XMLCh* XSAttributeDeclaration::getNamespace | ( |  | ) | `[virtual]`

The [target namespace] of this object, or `null` if it is unspecified.

Reimplemented from XSObject.

XSNamespaceItem* XSAttributeDeclaration::getNamespaceItem | ( |  | ) | `[virtual]`

A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.

Reimplemented from XSObject.

XSSimpleTypeDefinition * XSAttributeDeclaration::getTypeDefinition | ( |  | ) | const

[type definition]: A simple type definition

References fTypeDefinition.

XSConstants::SCOPE XSAttributeDeclaration::getScope | ( |  | ) | const

Optional.

One of `SCOPE_GLOBAL`, `SCOPE_LOCAL`, or `SCOPE_ABSENT`. If the scope is local, then the `enclosingCTDefinition` is present.

References fScope.

XSComplexTypeDefinition * XSAttributeDeclaration::getEnclosingCTDefinition | ( |  | ) |

The complex type definition for locally scoped declarations (see `scope`).

References fEnclosingCTDefinition.

XSConstants::VALUE_CONSTRAINT XSAttributeDeclaration::getConstraintType | ( |  | ) | const

Value constraint: one of `VC_NONE, VC_DEFAULT, VC_FIXED`.

const XMLCh* XSAttributeDeclaration::getConstraintValue | ( |  | ) |

Value constraint: The actual value with respect to the [type definition ].

XSAnnotation * XSAttributeDeclaration::getAnnotation | ( |  | ) | const

Optional.

Annotation.

References fAnnotation.

bool XSAttributeDeclaration::getRequired | ( |  | ) | const

methods needed by implementation

## Friends And Related Function Documentation

friend class XSObjectFactory`[friend]`

## Member Data Documentation

SchemaAttDef* XSAttributeDeclaration::fAttDef`[protected]`

XSSimpleTypeDefinition* XSAttributeDeclaration::fTypeDefinition`[protected]`

Referenced by getTypeDefinition().

XSAnnotation* XSAttributeDeclaration::fAnnotation`[protected]`

Referenced by getAnnotation().

XSConstants::SCOPE XSAttributeDeclaration::fScope`[protected]`

Referenced by getScope().

XSComplexTypeDefinition* XSAttributeDeclaration::fEnclosingCTDefinition`[protected]`

Referenced by getEnclosingCTDefinition().

The documentation for this class was generated from the following file:

- XSAttributeDeclaration.hpp